using UnityEngine;
using UnityEditor;

[CustomEditor(typeof(GridElement), true)]
public class GridElementEditor : UnityEditor.Editor {

    public override void OnInspectorGUI()
    {
        base.OnInspectorGUI();

        if(GUILayout.Button("Update position on grid"))
        {
            ((GridElement)target).UpdatePositionOnGrid();
        }
    }

}
